<!DOCTYPE html>

<head>
    <title>MVC Progress Calculator</title>
    <link rel=stylesheet id="style" type="text/css" href="./progress-calc.css"/>
</head>

<body>
    <div id="Title" style="font-size:50px;text-align:center;">
        <span><b>MVC Progress Calculator</b></span>
    </div>
    <div id="progressBar">
        <div id="theBar">0%</div>
        <div id="idealProgress">0%</div>
    </div>
    <div id="dropdownMenuPart" style="display:inline-block;margin-right:10px;padding:5px;">
        <span>Current Part:</span>
        <select id="partSelect">
            <option selected disabled>Select a part</option><option value=0>Part 1-A</option>
            <option value=1>Part 1-B</option>
            <option value=2>Part 1-C</option>
            <option value=3>Exam 1</option>
            <option value=4>Part 2-A</option>
            <option value=5>Part 2-B</option>
            <option value=6>Part 2-C</option>
            <option value=7>Exam 2</option>
            <option value=8>Part 3-A</option>
            <option value=9>Part 3-B</option>
            <option value=10>Part 3-C</option>
            <option value=11>Exam 3</option>
            <option value=12>Part 4-A</option>
            <option value=13>Part 4-B</option>
            <option value=14>Part 4-C</option>
            <option value=15>Exam 4</option>
            <option value=16>Part 4-P</option>
            <option value=17>Final</option>
            <option value=18>All Parts</option>
        </select>
    </div>
    <div id="dropdownMenuSessions" style="display:inline-block;margin-right:10px;padding:5px;">
        <span>Current Session:</span>
        <select id="sessionSelect1A" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=1>Session 1</option>
            <option value=2>Session 2</option>
            <option value=3>Session 3</option>
            <option value=4>Session 4</option>
            <option value=5>Session 5</option>
            <option value=6>Session 6</option>
            <option value=7>Session 7</option>
            <option value=8>Session 8</option>
            <option value=9>Problem Set 1</option>
        </select>
        <select id="sessionSelect1B" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=10>Session 9</option>
            <option value=11>Session 10</option>
            <option value=12>Session 11</option>
            <option value=13>Session 12</option>
            <option value=14>Session 13</option>
            <option value=15>Session 14</option>
            <option value=16>Problem Set 2</option>
        </select>
        <select id="sessionSelect1C" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=17>Session 15</option>
            <option value=18>Session 16</option>
            <option value=19>Session 17</option>
            <option value=20>Session 18</option>
            <option value=21>Session 19</option>
            <option value=22>Session 20</option>
            <option value=23>Session 21</option>
            <option value=24>Problem Set 3</option>
        </select>
        <select id="sessionSelect1E" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=25>Session 22</option>
            <option value=26>Session 23</option>
            <option value=27>Exam 1/Practice Exam 1</option>
        </select>
        <select id="sessionSelect2A" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=28>Session 24</option>
            <option value=29>Session 25</option>
            <option value=30>Session 26</option>
            <option value=31>Session 27</option>
            <option value=32>Session 28</option>
            <option value=33>Session 29</option>
            <option value=34>Session 30</option>
            <option value=35>Session 31</option>
            <option value=36>Problem Set 4</option>
        </select>
        <select id="sessionSelect2B" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=37>Session 32</option>
            <option value=38>Session 33</option>
            <option value=39>Session 34</option>
            <option value=40>Session 35</option>
            <option value=41>Session 36</option>
            <option value=42>Session 37</option>
            <option value=43>Session 38</option>
            <option value=44>Problem Set 5</option>
        </select>
        <select id="sessionSelect2C" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=45>Session 39</option>
            <option value=46>Session 40</option>
            <option value=47>Session 41</option>
            <option value=48>Session 42</option>
            <option value=49>Session 43</option>
            <option value=50>Session 44</option>
            <option value=51>Problem Set 6</option>
        </select>
        <select id="sessionSelect2E" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=52>Session 45</option>
            <option value=53>Session 46</option>
            <option value=54>Exam 2/Practice Exam 2</option>
        </select>
        <select id="sessionSelect3A" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=55>Session 47</option>
            <option value=56>Session 48</option>
            <option value=57>Session 49</option>
            <option value=58>Session 50</option>
            <option value=59>Session 51</option>
            <option value=60>Session 52</option>
            <option value=61>Session 53</option>
            <option value=62>Session 54</option>
            <option value=63>Session 55</option>
            <option value=64>Problem Set 7</option>
        </select>
        <select id="sessionSelect3B" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=65>Session 56</option>
            <option value=66>Session 57</option>
            <option value=67>Session 58</option>
            <option value=68>Session 59</option>
            <option value=69>Session 60</option>
            <option value=70>Session 61</option>
            <option value=71>Session 62</option>
            <option value=72>Session 63</option>
            <option value=73>Session 64</option>
            <option value=74>Problem Set 8</option>
        </select>
        <select id="sessionSelect3C" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=75>Session 65</option>
            <option value=76>Session 66</option>
            <option value=77>Session 67</option>
            <option value=78>Session 68</option>
            <option value=79>Session 69</option>
            <option value=80>Session 70</option>
            <option value=81>Session 71</option>
            <option value=82>Session 72</option>
            <option value=83>Problem Set 9</option>
        </select>
        <select id="sessionSelect3E" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=84>Session 73</option>
            <option value=85>Exam 3/Practice Exam 3</option>
        </select>
        <select id="sessionSelect4A" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=86>Session 74</option>
            <option value=87>Session 75</option>
            <option value=88>Session 76</option>
            <option value=89>Session 77</option>
            <option value=90>Session 78</option>
            <option value=91>Problem Set 10</option>
        </select>
        <select id="sessionSelect4B" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=92>Session 79</option>
            <option value=93>Session 80</option>
            <option value=94>Session 81</option>
            <option value=95>Session 82</option>
            <option value=96>Session 83</option>
            <option value=97>Session 84</option>
            <option value=98>Session 85</option>
            <option value=99>Session 86</option>
            <option value=100>Session 87</option>
            <option value=101>Problem Set 11</option>
        </select>
        <select id="sessionSelect4C" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=102>Session 88</option>
            <option value=103>Session 89</option>
            <option value=104>Session 90</option>
            <option value=105>Session 91</option>
            <option value=106>Session 92</option>
            <option value=107>Session 93</option>
            <option value=108>Session 94</option>
            <option value=109>Session 95</option>
            <option value=110>Session 96</option>
            <option value=111>Problem Set 12</option>
        </select>
        <select id="sessionSelect4E" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=112>Exam 4/Practice Exam 4</option>
        </select>
        <select id="sessionSelect4P" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=113>Session 97</option>
            <option value=114>Session 98</option>
        </select>
        <select id="sessionSelectF" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=115>Practice Final Exam</option>
            <option value=116>Session 99</option>
            <option value=117>Session 100</option>
            <option value=118>Session 101</option>
            <option value=119>Session 102</option>
        </select>
        <select id="sessionSelectAll" style="display:none" name="sessionSelect">
            <option selected disabled>Select a session</option>
            <option value=1>Session 1</option>
            <option value=2>Session 2</option>
            <option value=3>Session 3</option>
            <option value=4>Session 4</option>
            <option value=5>Session 5</option>
            <option value=6>Session 6</option>
            <option value=7>Session 7</option>
            <option value=8>Session 8</option>
            <option value=9>Problem Set 1</option>
            <option value=10>Session 9</option>
            <option value=11>Session 10</option>
            <option value=12>Session 11</option>
            <option value=13>Session 12</option>
            <option value=14>Session 13</option>
            <option value=15>Session 14</option>
            <option value=16>Problem Set 2</option>
            <option value=17>Session 15</option>
            <option value=18>Session 16</option>
            <option value=19>Session 17</option>
            <option value=20>Session 18</option>
            <option value=21>Session 19</option>
            <option value=22>Session 20</option>
            <option value=23>Session 21</option>
            <option value=24>Problem Set 3</option>
            <option value=25>Session 22</option>
            <option value=26>Session 23</option>
            <option value=27>Exam 1/Practice Exam 1</option>
            <option value=28>Session 24</option>
            <option value=29>Session 25</option>
            <option value=30>Session 26</option>
            <option value=31>Session 27</option>
            <option value=32>Session 28</option>
            <option value=33>Session 29</option>
            <option value=34>Session 30</option>
            <option value=35>Session 31</option>
            <option value=36>Problem Set 4</option>
            <option value=37>Session 32</option>
            <option value=38>Session 33</option>
            <option value=39>Session 34</option>
            <option value=40>Session 35</option>
            <option value=41>Session 36</option>
            <option value=42>Session 37</option>
            <option value=43>Session 38</option>
            <option value=44>Problem Set 5</option>
            <option value=45>Session 39</option>
            <option value=46>Session 40</option>
            <option value=47>Session 41</option>
            <option value=48>Session 42</option>
            <option value=49>Session 43</option>
            <option value=50>Session 44</option>
            <option value=51>Problem Set 6</option>
            <option value=52>Session 45</option>
            <option value=53>Session 46</option>
            <option value=54>Exam 2/Practice Exam 2</option>
            <option value=55>Session 47</option>
            <option value=56>Session 48</option>
            <option value=57>Session 49</option>
            <option value=58>Session 50</option>
            <option value=59>Session 51</option>
            <option value=60>Session 52</option>
            <option value=61>Session 53</option>
            <option value=62>Session 54</option>
            <option value=63>Session 55</option>
            <option value=64>Problem Set 7</option>
            <option value=65>Session 56</option>
            <option value=66>Session 57</option>
            <option value=67>Session 58</option>
            <option value=68>Session 59</option>
            <option value=69>Session 60</option>
            <option value=70>Session 61</option>
            <option value=71>Session 62</option>
            <option value=72>Session 63</option>
            <option value=73>Session 64</option>
            <option value=74>Problem Set 8</option>
            <option value=75>Session 65</option>
            <option value=76>Session 66</option>
            <option value=77>Session 67</option>
            <option value=78>Session 68</option>
            <option value=79>Session 69</option>
            <option value=80>Session 70</option>
            <option value=81>Session 71</option>
            <option value=82>Session 72</option>
            <option value=83>Problem Set 9</option>
            <option value=84>Session 73</option>
            <option value=85>Exam 3/Practice Exam 3</option>
            <option value=86>Session 74</option>
            <option value=87>Session 75</option>
            <option value=88>Session 76</option>
            <option value=89>Session 77</option>
            <option value=90>Session 78</option>
            <option value=91>Problem Set 10</option>
            <option value=92>Session 79</option>
            <option value=93>Session 80</option>
            <option value=94>Session 81</option>
            <option value=95>Session 82</option>
            <option value=96>Session 83</option>
            <option value=97>Session 84</option>
            <option value=98>Session 85</option>
            <option value=99>Session 86</option>
            <option value=100>Session 87</option>
            <option value=101>Problem Set 11</option>
            <option value=102>Session 88</option>
            <option value=103>Session 89</option>
            <option value=104>Session 90</option>
            <option value=105>Session 91</option>
            <option value=106>Session 92</option>
            <option value=107>Session 93</option>
            <option value=108>Session 94</option>
            <option value=109>Session 95</option>
            <option value=110>Session 96</option>
            <option value=111>Problem Set 12</option>
            <option value=112>Exam 4/Practice Exam 4</option>
            <option value=113>Session 97</option>
            <option value=114>Session 98</option>
            <option value=115>Practice Final Exam</option>
            <option value=116>Session 99</option>
            <option value=117>Session 100</option>
            <option value=118>Session 101</option>
            <option value=119>Session 102</option>
        </select>
    </div>
    <div id="dayInput" style="display:inline-block;">Current Day of School:
        <input id="dayText" type="number" value=100 max=180>
        <label class="switch"><input id="abridgedModeToggle" type="checkbox"><span>Abridged Mode</span></label>
        <label class="switch"><input id="q1OnlyToggle" type="checkbox"><span>Q1 Only</span></label>
    </div>
    <br>
    <div id="percentageCounter" style="display:inline-block;">Aheadness Percent: NaN%</div>
    <div id="daysAheadCounter" style="display:inline-block">Days Ahead: NaN</div>
    <script type="text/javascript" src="./progress-calc.js"></script>
    <script>//var width = 1; doThing();</script>
</body>